/*-
 * Copyright (c) 1999,2000 Qube Software, Ltd.
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 * 1. Redistributions of the source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 
 * 2. Any redistribution solely in binary form must conspicuously
 *    reproduce the following disclaimer in documentation provided with the
 *    binary redistribution.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'', WITHOUT ANY WARRANTIES, EXPRESS
 * OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  LICENSOR SHALL
 * NOT BE LIABLE FOR ANY LOSS OR DAMAGES RESULTING FROM THE USE OF THIS
 * SOFTWARE, EITHER ALONE OR IN COMBINATION WITH ANY OTHER SOFTWARE.
 * 
 * 	$Id: qtdir.h,v 1.7 2000/04/20 16:14:29 n_hibma Exp $
 */

#ifndef __qtdir_h__
#define __qtdir_h__

/* NOTE: Expect to already have included windows.h */

struct QTDirectory
{
    unsigned long       dirH_;
    unsigned int        attrib_;
    const char*         path_;          /* just the path. */
    char                filename_[QD_MAX_PATH];
    unsigned int        size_;
    unsigned int        createTimeLo_;
    unsigned int        createTimeHi_;
    unsigned int        modifyTimeLo_;
    unsigned int        modifyTimeHi_;
    unsigned int        accessTimeLo_;
    unsigned int        accessTimeHi_;
#ifdef q_windows
    WIN32_FIND_DATA     fData;
#endif    
};

#endif /* __qtdir_h__ */
